import type { Token } from './types';
interface PatchResult {
    replaceStart: number;
    replaceEnd: number;
    patchInsertStart: number;
    patchInsertEnd: number;
}
export declare function handleBeginOfFilePatch(sourceTokens: Token[], originalPatchTokens: Token[]): PatchResult;
export declare function handleEndOfFilePatch(sourceTokens: Token[], originalPatchTokens: Token[], sourceCode: string): PatchResult;
export declare function handleStandardPatch(sourceTokens: Token[], originalPatchTokens: Token[]): PatchResult;
export {};
